// -*- c++ -*-

%module simple

%{
#include "simple.hpp"
#define SWIG_FILE_WITH_INIT

%}

%include "std_complex.i"
%include "std_vector.i"

%include "numpy.i"
%init %{
import_array();
%}
%numpy_typemaps(double, NPY_DOUBLE, const std::size_t)

%apply (double* IN_ARRAY1, const std::size_t DIM1)
        {(double* xin, const std::size_t xsize),
         (double* yin, const std::size_t ysize),
         (double* strin, const std::size_t strsize)
         };

%include "simple.hpp"
%template(VectorVortex) std::vector<Vortex*>;

